//
//  MaVue.m
//  DessinCommentaire
//
//  Created by Laurent Chno on Fri Apr 26 2002.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import "MaVue.h"


@implementation MaVue

- (BOOL) isOpaque
{ return YES; }

- (id)initWithFrame:(NSRect)frame
{
    self = [super initWithFrame:frame];
    if (self) {
        // Initialization code here.
	chemin = [NSBezierPath bezierPath];
	segment = nil;
	[chemin retain];
	dejaClique = NO;
    }
    return self;
}

- (void) dealloc
{
    if (segment) [segment release];
    [chemin release];
    [super dealloc];
}

- (void)drawRect:(NSRect)rect
{
    // Drawing code here.
    [[NSColor whiteColor] set];
    NSRectFill(rect);
    [[NSColor blackColor] set];
    [chemin stroke];
    [segment stroke];
}

- (void) draw
{
    [self drawRect: [self bounds]];
}

- (IBAction) effaceTout: (id) sender
{
    [chemin release];
    chemin = [[NSBezierPath bezierPath] retain];
    dejaClique = NO;
    [self setNeedsDisplay: YES];
}

- (void) mouseUp: (NSEvent *) event
{
    NSPoint p = [self convertPoint:[event locationInWindow] fromView: nil];
    [[self superview] autoscroll: event];
    if (dejaClique) {
	[chemin lineToPoint: p];
    } else {
	[chemin moveToPoint: p];
    }
    dejaClique = YES;
    dernierClic = p;
    if (segment) [segment release];
    segment = nil;
    [self setNeedsDisplay: YES];
}

- (void) mouseDragged: (NSEvent *) event
{
    NSPoint p = [self convertPoint:[event locationInWindow] fromView: nil];

    if (segment) [segment release];
    segment = [[NSBezierPath bezierPath] retain];
    [[self superview] autoscroll: event];
    if (dejaClique) {
	[segment moveToPoint: dernierClic];
	[segment lineToPoint: p];
    }
    [self setNeedsDisplay: YES];
}

@end
