//
//  Enregistrement.m
//  DessinCommentaire
//
//  Created by Laurent Chno on Sat Apr 27 2002.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import "Enregistrement.h"


@implementation Enregistrement

- (id) initWithComment: (NSString *) comment andPath: (NSBezierPath *) path
{
    if (self = [super init]) {
	commentaire = [comment retain];
	chemin = [path retain];
    }
    return self;
}

- (void) encodeWithCoder: (NSCoder *) coder
{
    [coder encodeObject: commentaire];
    [coder encodeObject: chemin];
}

- (id) initWithCoder: (NSCoder *) coder
{
    [commentaire release];
    commentaire = [[coder decodeObject] retain];
    [chemin release];
    chemin = [[coder decodeObject] retain];
    return self;
}

- (void) dealloc
{
    [chemin release];
    [commentaire release];
}

- (NSString *) commentaire
{ return commentaire; }

- (NSBezierPath *) chemin
{ return chemin;}

@end
