//
//  Enregistrement.h
//  DessinCommentaire
//
//  Created by Laurent Chno on Sat Apr 27 2002.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface Enregistrement : NSObject < NSCoding >
{
    NSString *commentaire;
    NSBezierPath *chemin;
    NSColor *couleurFond;
    NSColor *couleurTraits;
}

- (Enregistrement *) initWithComment: (NSString *) comment
				path: (NSBezierPath *) path
			 couleurFond: (NSColor *) cfond
			couleurTraits: (NSColor *) ctrait;
- (void) encodeWithCoder: (NSCoder *) coder;
- (id) initWithCoder: (NSCoder *) coder;
- (NSString *) commentaire;
- (NSBezierPath *) chemin;
- (NSColor *) couleurFond;
- (NSColor *) couleurTraits;
- (void) setCouleurFond: (NSColor *) couleur;
- (void) setCouleurTraits: (NSColor *) couleur;
@end
